## Struct file_param

zeep::http::file_param — container for file parameter information

## Synopsis

    // In header: <zeep/http/request.hpp>

    struct file_param {

      // public member functions
      explicit operator bool() const;

      // public data members
      std::string filename;
      std::string mimetype;
      const char * data;
      size_t length;
    };

## Description

Files submitted using multipart/form-data contain a filename and mimetype that might be interesting to the client.

### `file_param` public member functions

1.     explicit operator bool() const;